Bug Hunting Session
Bug 119676 - CTRL+ALT+E isn't opening the extension dialog but inserts a "é"
Summary: CTRL+ALT+E isn't opening the extension dialog but inserts a "é"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: Shortcuts-AltGR
  Show dependency treegraph
 
Reported: 2018-09-03 20:25 UTC by Telesto
Modified: 2019-09-21 08:02 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-09-03 20:25:49 UTC
Description:
CTRL+ALT+E isn't opening the extension dialog but inserts a "é"

Steps to Reproduce:
1. Press CTRL+ALT+E (which is given as shortcut for the extension dialog)

Actual Results:
"é"

Expected Results:
The extension dialog (or a different shortcut)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: 22f2d8c41aa0a0a4cfa215c07ec06ae38cde7da8
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-29_04:32:58
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 raal 2018-09-04 05:08:08 UTC
Hello, ctrl+alt+e insert €  (euro) on my computer and it's windows shortcut - this shortcut works also in other programs. So we should change shortcut for extension dialog.

Version: 6.2.0.0.alpha0+
Build ID: af579ed7d1482df5cfa7e12e8af2603917d40602
CPU threads: 4; OS: Windows 6.1; UI render: default;
Comment 2 Telesto 2018-09-09 09:14:53 UTC
Adding to UX
Comment 3 V Stuart Foote 2018-09-09 16:40:17 UTC
Essentially same issue as bug 118269 but going the opposite direction of keyboard mapping of <Ctrl>+<Alt> ~=> <AltGr>

comments on meta bug 107244
Comment 4 Heiko Tietze 2018-09-11 06:24:05 UTC
In bug 118269 we stated a bug/regression.
Comment 5 Xisco Faulí 2018-09-18 21:53:58 UTC
So, just for the record, the behaviour changed after https://cgit.freedesktop.org/libreoffice/core/commit/?id=f53b3b547b04dc112076d8323b5b24ae178d6260
Comment 6 Heiko Tietze 2018-09-19 18:37:38 UTC
(In reply to Xisco Faulí from comment #5)
> So, just for the record, the behaviour changed after
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=f53b3b547b04dc112076d8323b5b24ae178d6260

So we have to treat this as a regression. Manfred, what do you think?
Comment 7 Luke 2018-09-20 19:23:49 UTC
I think this is a case of poorly chosen short-cut. OpenOffice does not bind common windows short-cuts like ctrl+alt+e and ctrl+alt+t as it's standard for them to insert € and ™. On Windows at least, we should follow this standard.
Comment 8 V Stuart Foote 2018-09-20 20:58:47 UTC
(In reply to Luke from comment #7)
> I think this is a case of poorly chosen short-cut. OpenOffice does not bind
> common windows short-cuts like ctrl+alt+e and ctrl+alt+t as it's standard
> for them to insert € and ™. On Windows at least, we should follow this
> standard.

No, that is just incorrect on *all* counts... <Ctrl>+<Alt> was used in OOo and recognized for conflicting with <AtlGr> mappings on systems using Windows with us-international key mappings. Have not looked at an AOO source tree, but do not believe that has been changed.

Also, there is no "standard", just a Microsoft practice of os mapping <Ctrl>+<Alt> to <AltGr> to support keyboards without a second <R-Alt> keysym used for the AltGr toggle.
 
So, this remains dependent on physical keyboard, the os Keyboard mapping selected, and finally on the locale setting in LibreOffice (picked up from os, or as assigned).

With few exceptions, the default shortcuts/accelerators are assigned from:

https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/Accelerators.xcu

The paired _MOD1_MOD2, are the <Ctrl>+<Alt> shortcuts

The actual source bypassing the <Ctrl>+<Alt> to allow it os mapping of <AltGr> is about here:

https://opengrok.libreoffice.org/xref/core/vcl/win/window/salframe.cxx#3545
Comment 9 Thorsten Behrens (CIB) 2018-09-20 21:55:19 UTC
(In reply to V Stuart Foote from comment #8)
> No, that is just incorrect on *all* counts... <Ctrl>+<Alt> was used in OOo
> and recognized for conflicting with <AtlGr> mappings on systems using
> Windows with us-international key mappings. Have not looked at an AOO source
> tree, but do not believe that has been changed.
> 
> Also, there is no "standard", just a Microsoft practice of os mapping
> <Ctrl>+<Alt> to <AltGr> to support keyboards without a second <R-Alt> keysym
> used for the AltGr toggle.
>  
> So, this remains dependent on physical keyboard, the os Keyboard mapping
> selected, and finally on the locale setting in LibreOffice (picked up from
> os, or as assigned).
> 

Right - so the only workable solution we found was that locales with conflicts like above would re-map the shortcuts to something else.
Comment 10 QA Administrators 2019-09-21 03:07:38 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug